import { z } from "zod"

export const signInSchema = z.object({
  username: z
    .string()
    .min(1, { message: "Invalid username" })
    .nonempty("Username is required"),
  password: z
    .string()
    .min(3, { message: "Password is too short" })
    .nonempty("Password is required"),
})

export type SignInFormType = z.infer<typeof signInSchema>
